#include <iostream>
#include <vector>

using namespace std;

void unos(vector<int> &h, int i, int n){

    if (i == n) return;
    int p; cin >> p; h[i] = p;
    unos(h, i+1, n);

}

int max(vector<int> &h, int i, int n, int l){

    if(i == n)return -1;
    if(h[i] <= l)return i+1;
    return max(h, i+1, n, l);

}

int main(){

    int n, l; cin >> n >> l;

    vector<int> h(n);
    unos(h, 0, n);
    cout << max(h, 0, n, l);

}